Subject: Re: [bitcoin-dev] Bitcoin Roadmap 2015, or "If We Do Nothing" Analysis

From: "Slurms MacKenzie" <[email-masked]>
Date: Sat, 25 Jul 2015 13:19:43 +0200

The answer to that is a less illegal than probing other peoples web servers. Up until recently the reverse name lookup for that IP address was markets.blockchain.info, which I resolve when I log incoming connections in an attempt to filter out some abusive clients coming from university connections. 

Other people have noticed these abusive clients too. There’s mentions of other connections running the same version of BitcoinJ coming from sources that appear to be blockchain.info which display similar behavior. A user in #bitcoin-dev was complaining about this client hammering closed ports with connections when they are kicked off. 

http://bitcoinstats.com/irc/bitcoin-dev/logs/2015/02/09#l1423513396.0

> Sent: Saturday, July 25, 2015 at 4:23 AM
> From: "Dave Scotese via bitcoin-dev" <[email-masked]>
> To: [email-masked]
> Subject: Re: [bitcoin-dev] Bitcoin Roadmap 2015, or "If We Do Nothing" Analysis

> When I looked up that IP address, the Whois info names "OVH" and "Octave Klaba" (who founded OVH, according  to Wikipedia) as the owner.  "blockchain.info[http://blockchain.info]" appears in the HTML header as retrieved by the "Anti-Hacker Alliance" (http://anti-hacker-alliance.com/index.php?details=37.187.136.15[http://anti-hacker-alliance.com/index.php?details=37.187.136.15]).  Blockchain.info itself returns IP addresses managed by CloudFlare whenever I try it.